<?php

/*
 * @name        JMY CMS
 * @link        https://jmy.su/
 * @copyright   Copyright (C) 2012-2025 JMY LTD
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      Komarov Ivan
 * @edited      Orlov Alexsey
 */

ConfigMod('global');
ConfigMod('admin');
ConfigMod('security');
ConfigMod('cache');
ConfigMod('files');
ConfigMod('smiles');
ConfigMod('user');
require ROOT . 'lib/php_funcs.php';
require ROOT . 'lib/global.php';
if (file_exists(ROOT . 'usr/other/other.functions.php')) {
    include(ROOT . 'usr/other/other.functions.php');
}

require ROOT . 'boot/db/' . $config['dbType'] . '.db.php';
require ROOT . 'boot/db' . (($config['dbCache'] == 1) ? '_cache' : '') . '.class.php';
require ROOT . 'boot/sub_classes/cache.class.php';
$cache = new cache;
require ROOT . 'boot/auth.class.php';
